# Class DemoDisplayer

java.lang.Object
com.orsoncharts.demo.DemoDisplayer

All Implemented Interfaces:
  `Runnable`

public class DemoDisplayer extends Object implements Runnable

## Constructor Summary

Constructors
Constructor
Description
`DemoDisplayer(OrsonChartsDemoComponent demoComp, DemoDescription d)`
Creates a new runnable.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
Runs the task.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DemoDisplayer

public DemoDisplayer(OrsonChartsDemoComponent demoComp, DemoDescription d)
Creates a new runnable.

Parameters:
  `demoComp` - the demo component.
  `d` - the demo description.

## Method Details

### run

public void run()
Runs the task.

Specified by:
  `run` in interface `Runnable`